package com.docus.server.controller;

import com.docus.server.api.scheduling.management.CommMsgApi;
import com.docus.server.dto.scheduling.management.schterminator.CommMsgDTO;
import com.docus.server.service.ICommMsgService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * 通用消息体 TCP API
 *
 * @author AutoGenerator
 * @since 2023-07-15
 */
@Api(value = "通用消息TCP接口", tags = "通用消息TCP接口")
@RestController
public class CommMsgController implements CommMsgApi {
    @Resource
    private ICommMsgService iCommMsgService;

    @ApiOperation("向客户端发送TCP命令")
    @Override
    public void clientCommand(CommMsgDTO commMsgDTO) {
        iCommMsgService.clientCommand(commMsgDTO);
    }
}
