package com.docus.server.controller;

import com.docus.infrastructure.web.api.CommonResult;
import com.docus.server.dto.scheduling.management.ActiveAddPatientResponse;
import com.docus.server.dto.scheduling.management.AddPatientActiveRequest;
import com.docus.server.dto.scheduling.management.AddPatientPassiveRequest;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 文件上传下载 API
 *
 * @author AutoGenerator
 * @since 2023-07-15
 */
@Api(value = "http接口文件同步", tags = "http接口文件同步")
@RestController
@RequestMapping("/api")
public class PatientController {

    @ApiOperation("http接口文件被动同步")
    @PostMapping("/addPatientPassive")
    public CommonResult<String> addPatientPassive(AddPatientPassiveRequest request) throws Exception {
        return CommonResult.success("ok");
    }

    @ApiOperation("http接口文件主动同步")
    @PostMapping("/addPatientActive")
    public CommonResult<ActiveAddPatientResponse> addPatientActive(AddPatientActiveRequest request) throws Exception {
        return CommonResult.success(new ActiveAddPatientResponse());
    }
}
