package com.docus.server.dto.segmentation.ocrversion;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import com.docus.server.enums.*;

import java.io.Serializable;
import java.util.Date;

/**
*
* 正式数据版本号管理 AddDTO
*
* @author AutoGenerator
* @since 2023-08-29
*/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value="AddOcrVersionDTO对象", description="正式数据版本号管理")
public class AddOcrVersionDTO implements Serializable {

    @ApiModelProperty(value = "id")
    private Long id;

    @ApiModelProperty(value = "版本号")
    private Integer version;

    @ApiModelProperty(value = "版本说明")
    private String releaseNote;

    @ApiModelProperty(value = "是否启用(0否 1 是)")
    private Boolean isEnable;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "更新时间")
    private Date updateTime;


}
