package com.docus.server.vo.collector.update;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 采集器更新配置 VO
 *
 * @author AutoGenerator
 * @since 2023-08-29
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "CollectorUpdateVersionVO", description = "采集器更新配置")
public class CollectorUpdateVersionVO implements Serializable {

    @ApiModelProperty(value = "采集器版本号")
    @JsonProperty(value = "UpdateNumber")
    private String updateNumber;

}
