package com.docus.server.vo.scheduling.management.schcollectorversion;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 采集器配置 VO
 *
 * @author AutoGenerator
 * @since 2023-07-15
 */
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Data
@ApiModel(value = "TcpSchCollectorVersionContentVO", description = "下发采集器文件")
public class TcpSchCollectorVersionContentVO implements Serializable {

    @ApiModelProperty(value = "采集器Id")
    private Long collectorId;

    @ApiModelProperty(value = "选中当前采集器版本文件路径")
    private String filePath;

    @ApiModelProperty(value = "选中当前采集器版本")
    private String collectorVersion;
}
