package com.docus.server.collect.web.common.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 按需采集
 */
@Data
public class CollectionRequire {
    /**
     * 出院开始日期
     */
    @ApiModelProperty("出院开始日期")
    private String disStartTime;

    /**
     * 出院结束日期
     */
    @ApiModelProperty("出院结束日期")
    private String disEndTime;

    /**
     * 出院科室
     */
    @ApiModelProperty("出院科室")
    private List<String> disDepts;

    /**
     * 记账号
     */
    @ApiModelProperty("记账号")
    private List<String> jzhs;

    /**
     * 页数，从0开始
     */
    @ApiModelProperty("页数，从0开始")
    private int pageNumber;
    /**
     * 笔数
     */
    @ApiModelProperty("笔数")
    private int pageSize;
}
