package com.docus.server.common.download;

import lombok.Data;

import java.sql.Timestamp;
import java.util.List;

@Data
public class CallBackPara {
    /**
     * 主键
     */
    private String id;
    /**
     * 其他信息
     */
    private String mess;

    /**
     * 本地存放路径
     */
    private String localpath;

    /**
     * 文件名
     */
    private String filename;

    /**
     * 下载开始时间
     */
    private Timestamp starttime;

    /**
     * 下载完成时间
     */
    private Timestamp endtime;

    private List<MultiDownFile> files;

    /**
     * 下载存储文件的方式  0 传过来的格式，1转为 pdf 默认 ，2 转为图片jpg存储
     */
    private int fileStorageFormat=1;

    /**
     * 0:病案，1：门急诊 2：省中医封存
     */
    private int datatype=0;
}
