package com.docus.server.common.netty.event;

import com.docus.server.common.CommMsg;
import lombok.Getter;
import org.springframework.context.ApplicationEvent;

@Getter
public class StartUpEvent extends ApplicationEvent {
    /**
     * 下载对应任务id ,接收处理
     */
    private final String message;

    private final CommMsg commMsg;

    /**
     * @param source  触发该事件的对象
     * @param message 该事件携带的信息
     */
    public StartUpEvent(Object source, String message, CommMsg commMsg) {
        super(source);
        this.message = message;
        this.commMsg = commMsg;
    }


}
