package com.docus.server.common;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

@Builder
@NoArgsConstructor
@AllArgsConstructor
@Data
public class CommMsg<MSG_CONTENT extends Serializable> implements Serializable {

    public String messageType;

    public String messageTime;

    public MSG_CONTENT content;

}
