package com.docus.server.api.scheduling.management;

import com.docus.server.dto.scheduling.management.schterminator.CommMsgDTO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;


/**
 * 通用消息体 TCP API
 *
 * @author AutoGenerator
 * @since 2023-07-15
 */

@FeignClient(value = "collector-scheduling-management", contextId = "collector-scheduling-management.CommMsgApi")
@RequestMapping("/sch/commMsg")
public interface CommMsgApi {

    /**
     * 向客户端发送TCP命令
     *
     * @param commMsgDTO 消息体
     */

    @PostMapping("/clientCommand")
    void clientCommand(@RequestBody CommMsgDTO commMsgDTO);

}
