package com.docus.server.dto.scheduling.management.schcollectorconfig;

import com.docus.server.enums.ConfigTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * 采集器配置 AddDTO
 *
 * @author AutoGenerator
 * @since 2023-07-15
 */
@Data
@ApiModel(value = "AddSchCollectorConfigDTO对象", description = "采集器配置")
public class AddSchCollectorConfigDTO implements Serializable {

    @ApiModelProperty(value = "采集器id")
    private Long collectorId;

    @NotNull
    @ApiModelProperty(value = "配置类型，0：采集器公共配置，1：采集器私有配置")
    private ConfigTypeEnum configType;

    @NotNull
    @ApiModelProperty(value = "配置参数")
    private String configJson;


}
