package com.docus.server.entity.segmentation;

import io.swagger.annotations.ApiModelProperty;
import lombok.*;

import java.util.List;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = false)
public class OcrRuleJson {

    @ApiModelProperty(value = "分段id")
    private String assortId;

    @ApiModelProperty(value = "分段名称")
    private String assortName;

    @ApiModelProperty(value = "关键词列表")
    private List<OcrRuleSecondJson> keyWordList ;

    @ApiModelProperty(value = "排序")
    private Integer sort;



}
