package com.docus.server.vo.scheduling.management.schcollector;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * LoadSchCollectorVO VO
 *
 * @author AutoGenerator
 * @since 2023-07-15
 */
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Data
@ApiModel(value = "LoadSchCollectorVO", description = "LoadSchCollectorVO")
public class LoadSchCollectorVO {

    @ApiModelProperty(value = "采集器id")
    private Long collectorId;

    @ApiModelProperty(value = "采集器版本id")
    private Long collectorVersionId;

    @ApiModelProperty(value = "文件目录 单纯文件夹路径，不带文件名，如：F:\\嘉时\\新建文件夹\\")
    private String filePath;

    @ApiModelProperty(value = "采集器部署路径")
    private String deployPath;

    @ApiModelProperty(value = "采集器进程名称")
    private String processName;

}
