package com.docus.server.service.handler;

import com.docus.log.annotation.TrackRetryListener;
import com.docus.server.api.ocr.OcrApi;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.util.List;

/**
 * 开始OCR处理器
 */
@Component
public class StartOcrHandler {
    @Resource
    private OcrApi ocrApi;

    @TrackRetryListener("START_OCR")
    public void startOcr(String patientId) {
        System.out.println(patientId);
        List<String> text = ocrApi.getText("D:\\docus\\cut\\segmentation\\20230822\\c6b03e5767814895a2c155c32f174051\\麻醉.jpg");
    }
}
